Author Topic: Python Full Integration plugin issue  (Read 50 times)

shassan

  • Newbie
  • *
  • Posts: 3
  • Karma: 0
  • Scribus User
Python Full Integration plugin issue
« on: September 16, 2020, 02:00:56 am »
I need to install some python packages for use in scripter. I came across the following wiki:

https://wiki.scribus.net/canvas/Windows_Full_Python_Integration

I installed python 2.7.15 (same as what scripter uses in scribus 1.5.5) and configured rest as mentioned in wiki.

I am getting an error (see attached for full error) where there is problem running scriptplugin.dll. Anyone else have this issue or know how I can fix it?

a.l.e

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2418
  • Karma: 35
    • the graphics lab
Re: Python Full Integration plugin issue
« Reply #1 on: September 16, 2020, 12:06:34 pm »
looks like a version mismatch to me...

shassan

  • Newbie
  • *
  • Posts: 3
  • Karma: 0
  • Scribus User
Re: Python Full Integration plugin issue
« Reply #2 on: September 16, 2020, 03:20:11 pm »
I checked the version of python in scripter and it states 2.7.15, which is the version of python I installed (https://www.python.org/downloads/release/python-2715/). So not sure what else it could be?

shassan

  • Newbie
  • *
  • Posts: 3
  • Karma: 0
  • Scribus User
Re: Python Full Integration plugin issue
« Reply #3 on: September 16, 2020, 03:31:55 pm »
Apologies found the proble. I clicked on wrong installer (should have been 64 bit). Now works all fine :)

 

palmate